<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: seo_friend.php
| Author: Christian Damsgaard Jrgensen (PMM)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("SEO") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."infusions_include.php";

if (file_exists(INFUSIONS."seo_friend/locale/".$settings['locale'].".php")) {
	include INFUSIONS."seo_friend/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."seo_friend/locale/English.php";
}

include INFUSIONS."seo_friend/infusion_db.php";

if (!isset($_GET['tab']) || !isnum($_GET['tab'])) $_GET['tab'] = 1;

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['seo410'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['seo411'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['seo412'];
	} elseif ($_GET['status'] == "du") {
		$message = $locale['seo413'];
	}
	if ($message) {
		$message = "<div class='admin-message'>".$message."</div>";
		echo "<div id='close-message'>".$message."</div>\n";
	}
}

opentable($locale['seo400']);
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
for ($i = 1; $i <= 3; $i++) {
	$class = ($_GET['tab'] == $i ? "tbl1" : "tbl2");
	echo "<td align='center' width='33%' class='".$class."'>\n";
	echo ($_GET['tab'] == $i ? "<strong>".$locale['seo40'.$i]."</strong>" : "<a href='".FUSION_SELF.$aidlink."&amp;tab=".$i."'>".$locale['seo40'.$i]."</a>")."</td>\n";
}
echo "</tr>\n<tr>\n<td colspan='3' class='tbl'>\n";

if ($_GET['tab'] == 1) {
	
	if (isset($_POST['save'])) {
		$page_title = stripinput($_POST['page_title']);
		$meta_description = descript(stripslash($_POST['meta_description']));
		$meta_keywords = stripinput($_POST['meta_keywords']);
		$robots = stripinput($_POST['robots']);
		$add_to_head = addslash($_POST['add_to_head']);
		$add_to_footer = addslash($_POST['add_to_footer']);
		if (isset($_POST['id']) && isnum($_POST['id'])) {
			$result = dbquery("UPDATE ".DB_SEO_FRIEND." SET page_title='$page_title', meta_description='$meta_description', meta_keywords='$meta_keywords', robots='$robots', add_to_head='$add_to_head', add_to_footer='$add_to_footer' WHERE id='".$_POST['id']."'");
			redirect(FUSION_SELF.$aidlink."&tab=1&status=su");
		} else {
			$result = dbquery("SELECT * FROM ".DB_SEO_FRIEND." WHERE page='".$page."'");
			if (dbrows($result) == 0) {
				$page = stripinput($_POST['page']);
				$result = dbquery("INSERT INTO ".DB_SEO_FRIEND." (page, page_title, meta_description, meta_keywords, robots, add_to_head, add_to_footer) VALUES ('$page', '$page_title', '$meta_description', '$meta_keywords', '$robots', '$add_to_head', '$add_to_footer')");
				redirect(FUSION_SELF.$aidlink."&tab=1&status=sn");
			} else {
				redirect(FUSION_SELF.$aidlink."&tab=1&status=du");
			}
		}
	} elseif (isset($_POST['delete'])) {
		$result = dbquery("DELETE FROM ".DB_SEO_FRIEND." WHERE id='".$_POST['id']."'");
		redirect(FUSION_SELF.$aidlink."&tab=1&status=del");
	} else {
		if (isset($_GET['page_id']) && isnum($_GET['page_id'])) {
			$result = dbquery("SELECT * FROM ".DB_SEO_FRIEND." WHERE id='".$_GET['page_id']."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				$page = $data['page'];
				$page_title = $data['page_title'];
				$meta_description = phpentities(stripslashes($data['meta_description']));
				$meta_keywords = $data['meta_keywords'];
				$robots = $data['robots'];
				$add_to_head = phpentities(stripslashes($data['add_to_head']));
				$add_to_footer = phpentities(stripslashes($data['add_to_footer']));
				$disabled = " disabled='disabled'";
			} else {
				redirect(FUSION_SELF.$aidlink);
			}
		} else {
			$page = "";
			$page_title = "";
			$meta_description = "";
			$meta_keywords = "";
			$robots = "";
			$add_to_head = "";
			$add_to_footer = "";
			$disabled = "";
		}
		echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."&tab=1' onsubmit='return ValidateForm(this)'>\n";
		echo "<table width='100%' cellpadding='1' cellspacing='1' class='center'>\n<tr>\n";
		echo "<td width='25%' class='tbl'>".$locale['seo420']."</td>\n";
		echo "<td width='75%' class='tbl'><input type='text' name='page' value='".$page."' class='textbox' style='width:100%'".$disabled." /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl2' align='center' colspan='2'>".$locale['seo421']."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='25%' class='tbl'>".$locale['seo422']."<br /><span class='small2'><em>".$locale['seo423']."</em></span></td>\n";
		echo "<td width='75%' class='tbl' valign='top'><input type='text' name='page_title' value='".$page_title."' class='textbox' style='width:100%' maxlength='70' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='25%' class='tbl' valign='top'>".$locale['seo424']."<br /><span class='small2'><em>".$locale['seo425']."</em></span></td>\n";
		echo "<td width='75%' class='tbl'><textarea name='meta_description' cols='95' rows='3' class='textbox' style='width:100%'>".$meta_description."</textarea></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='25%' class='tbl'>".$locale['seo426']."</td>\n";
		echo "<td width='75%' class='tbl'><input type='text' name='meta_keywords' value='".$meta_keywords."' class='textbox' style='width:100%' maxlength='100' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='25%' class='tbl'>".$locale['seo427']."</td>\n";
		echo "<td width='75%' class='tbl'><select name='robots' class='textbox' style='width:100%'>\n";
		echo "<option value=''></option>\n";
		echo "<option value='index, follow'".($robots == "index, follow" ? " selected='selected'" : "").">".$locale['seo428']."</option>\n";
		echo "<option value='noindex, follow'".($robots == "noindex, follow" ? " selected='selected'" : "").">".$locale['seo429']."</option>\n";
		echo "<option value='index, nofollow'".($robots == "index, nofollow" ? " selected='selected'" : "").">".$locale['seo430']."</option>\n";
		echo "<option value='noindex, nofollow'".($robots == "noindex, nofollow" ? " selected='selected'" : "").">".$locale['seo431']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl2' align='center' colspan='2'>".$locale['seo432']."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='25%' class='tbl' valign='top'>".$locale['seo433']."</td>\n";
		echo "<td width='75%' class='tbl'><textarea name='add_to_head' cols='95' rows='5' class='textbox' style='width:100%'>".$add_to_head."</textarea></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='25%' class='tbl' valign='top'>".$locale['seo434']."</td>\n";	
		echo "<td width='75%' class='tbl'><textarea name='add_to_footer' cols='95' rows='5' class='textbox' style='width:100%'>".$add_to_footer."</textarea></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		if (isset($_GET['page_id']) && isnum($_GET['page_id'])) {
			echo "<input type='hidden' name='id' value='".$_GET['page_id']."' />\n";
			echo "<input type='submit' name='delete' value='".$locale['seo435']."' class='button'  onclick='return DeleteItem();' />\n";
		}
		echo "<input type='submit' name='save' value='".$locale['seo436']."' class='button' />\n";
		echo "<input type='reset' name='reset' value='".$locale['seo437']."' class='button' />\n</td>\n";
		echo "</tr>\n</table>\n</form>\n";
		echo "<script type='text/javascript'>"."\n"."function DeleteItem() {\n";
		echo "return confirm('".$locale['seo470']."');\n}\n";
		echo "function ValidateForm(frm) {"."\n"."if(frm.page.value=='') {\n";
		echo "alert('".$locale['seo471']."');"."\n"."return false;\n}\n}\n</script>\n";
	}
	
} elseif ($_GET['tab'] == 2) {
	
	$result = dbquery("SELECT page, id FROM ".DB_SEO_FRIEND." ORDER BY page");
	$rows = dbrows($result);
	if ($rows != 0) {
		$pagelist = "<option value='".FUSION_SELF."&tab=2' style='font-style:italic;' selected='selected'>".$locale['seo440']."</option>\n";
		while ($data = dbarray($result)) {
			$pagelist .= "<option value='".FUSION_SELF.$aidlink."&amp;tab=1&amp;page_id=".$data['id']."'>".$data['page']."</option>\n";
		}
		echo "<div style='text-align:center'>\n<form action='".FUSION_SELF."&tab=2'>\n";
		echo "<select onchange='window.location.href=this.value' style='width:100%;' class='textbox'>\n".$pagelist."</select>\n";
		echo "</form>\n</div>\n";
	} else {
		echo "<div style='text-align:center'><br />\n".$locale['seo441']."<br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."&tab=1'>".$locale['seo442']."</a>".$locale['seo443']."<br /><br />\n</div>\n";
	}
	
} elseif ($_GET['tab'] == 3) {
	
	if (isset($_POST['savesettings'])) {
		$disable_seo_friend = isset($_POST['disable_seo_friend']) ? "1" : "0";
		$title_suffix = stripinput($_POST['title_suffix']);
		$title_separator = stripinput($_POST['title_separator']);
		$autogen_meta_desc = isset($_POST['autogen_meta_desc']) ? "1" : "0";
		$autogen_meta_keywords = isset($_POST['autogen_meta_keywords']) ? "1" : "0";
		$common_words = addslash($_POST['common_words']);
		$ga_tracking_code = addslash($_POST['ga_tracking_code']);
		$setting = set_setting("disable_seo_friend", $disable_seo_friend, "seo_friend");
		$setting = set_setting("title_suffix", $title_suffix, "seo_friend");
		$setting = set_setting("title_separator", $title_separator, "seo_friend");
		$setting = set_setting("autogen_meta_desc", $autogen_meta_desc, "seo_friend");
		$setting = set_setting("autogen_meta_keywords", $autogen_meta_keywords, "seo_friend");
		$setting = set_setting("common_words", $common_words, "seo_friend");
		$setting = set_setting("ga_tracking_code", $ga_tracking_code, "seo_friend");
		redirect(FUSION_SELF.$aidlink."&tab=3");
	}
	
	$seo_settings = get_settings("seo_friend");
	
	$disable_seo_friend = $seo_settings['disable_seo_friend'] == "1" ? " checked='checked'" : "";
	$title_suffix = $seo_settings['title_suffix'];
	$title_separator = $seo_settings['title_separator'];
	$autogen_meta_desc = $seo_settings['autogen_meta_desc'] == "1" ? " checked='checked'" : "";
	$autogen_meta_keywords = $seo_settings['autogen_meta_keywords'] == "1" ? " checked='checked'" : "";
	$common_words = phpentities(stripslashes($seo_settings['common_words']));
	$ga_tracking_code = phpentities(stripslashes($seo_settings['ga_tracking_code']));
	
	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&tab=3'>\n";
	echo "<table width='100%' cellpadding='1' cellspacing='1' class='center'>\n<tr>\n";
	echo "<td class='tbl2' align='center' colspan='2'>".$locale['seo450']."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='25%' class='tbl'>".$locale['seo451']."</td>\n";
	echo "<td width='75%' class='tbl'><input type='checkbox' name='disable_seo_friend' value='yes'".$disable_seo_friend." /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='25%' class='tbl'>".$locale['seo452']."<br /><span class='small2'><em>".$locale['seo453']."</em></span></td>\n";
	echo "<td width='75%' class='tbl' valign='top'><input type='text' name='title_suffix' value='".$title_suffix."' class='textbox' style='width:100%' maxlength='70' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='25%' class='tbl'>".$locale['seo454']."</span></td>\n";
	echo "<td width='75%' class='tbl'><input type='text' name='title_separator' value='".$title_separator."' class='textbox' style='width:100%' maxlength='3' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' align='center' colspan='2'>".$locale['seo455']."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='25%' class='tbl'>".$locale['seo456']."</td>\n";
	echo "<td width='75%' class='tbl'><input type='checkbox' name='autogen_meta_desc' value='yes'".$autogen_meta_desc." /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='25%' class='tbl'>".$locale['seo457']."</td>\n";
	echo "<td width='75%' class='tbl'><input type='checkbox' name='autogen_meta_keywords' value='yes'".$autogen_meta_keywords." /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='25%' class='tbl' valign='top'>".$locale['seo458']."<br /><span class='small2'><em>".$locale['seo459']."<br />".$locale['seo460']."</em></span></td>\n";	
	echo "<td width='75%' class='tbl'><textarea name='common_words' cols='95' rows='5' class='textbox' style='width:100%'>".$common_words."</textarea></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' align='center' colspan='2'>".$locale['seo461']."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='25%' class='tbl' valign='top'>".$locale['seo462']."<br /><span class='small2'><em>".$locale['seo463']."</em></span></td>\n";	
	echo "<td width='75%' class='tbl'><textarea name='ga_tracking_code' cols='95' rows='8' class='textbox' style='width:100%'>".$ga_tracking_code."</textarea></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'><br />\n";
	echo "<input type='submit' name='savesettings' value='".$locale['seo464']."' class='button' />\n";
	echo "<input type='reset' name='reset' value='".$locale['seo465']."' class='button' />\n</td>\n";
	echo "</tr>\n</table>\n</form>\n";
	
}

echo "</td>\n</tr>\n</table>\n";
closetable();

require_once THEMES."templates/footer.php";
?>